tomoyo-tools_2.5.0-20120414-2_i386.deb


Advertisement

Description

tomoyo-tools - Lightweight and easy-use Mandatory Access Control for Linux

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name tomoyo-tools
Package version 2.5.0
Package release 20120414-2
Package architecture i386
Package type deb
Installed size 468 B
Download size 168.19 KB
Official Mirror ftp.br.debian.org
TOMOYO Linux is Lightweight and Usable Mandatory Access Control with
- "automatic policy configuring" feature by "LEARNING mode"
- administrators friendly policy language
- no need libselinux nor userland program modifications
TOMOYO Linux consists of patches to Linux kernel and administrative
utilities, and this package contains its audit daemon and tools.

Alternatives

Package Version Architecture Repository
tomoyo-tools_2.5.0-20120414-2_amd64.deb 2.5.0 amd64 Debian Main
tomoyo-tools - - -

Requires

Name Value
libc6 >= 2.7
libncurses5 >= 5.5-5~
libtinfo5 -
libtomoyotools3 >= 2.5.0-20120414

Conflicts

Name Value
tomoyo-ccstools -
tomoyo-ccstools1.7 -

Replaces

Name Value
tomoyo-ccstools -
tomoyo-ccstools1.7 -

Download

Type URL
Binary Package tomoyo-tools_2.5.0-20120414-2_i386.deb
Source Package tomoyo-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install tomoyo-tools deb package:
    # sudo apt-get install tomoyo-tools

Files

Path
/sbin/tomoyo-init
/usr/lib/tomoyo/audit-exec-param
/usr/lib/tomoyo/convert-audit-log
/usr/lib/tomoyo/convert-exec-param
/usr/lib/tomoyo/init_policy
/usr/lib/tomoyo/tomoyo-editpolicy-agent
/usr/sbin/tomoyo-auditd
/usr/sbin/tomoyo-checkpolicy
/usr/sbin/tomoyo-diffpolicy
/usr/sbin/tomoyo-domainmatch
/usr/sbin/tomoyo-editpolicy
/usr/sbin/tomoyo-findtemp
/usr/sbin/tomoyo-loadpolicy
/usr/sbin/tomoyo-notifyd
/usr/sbin/tomoyo-patternize
/usr/sbin/tomoyo-pstree
/usr/sbin/tomoyo-queryd
/usr/sbin/tomoyo-savepolicy
/usr/sbin/tomoyo-selectpolicy
/usr/sbin/tomoyo-setlevel
/usr/sbin/tomoyo-setprofile
/usr/sbin/tomoyo-sortpolicy
/usr/share/doc/tomoyo-tools/NEWS.Debian.gz
/usr/share/doc/tomoyo-tools/README.Debian
/usr/share/doc/tomoyo-tools/README.tomoyo
/usr/share/doc/tomoyo-tools/changelog.Debian.gz
/usr/share/doc/tomoyo-tools/copyright
/usr/share/man/man8/init_policy.8.gz
/usr/share/man/man8/tomoyo-auditd.8.gz
/usr/share/man/man8/tomoyo-checkpolicy.8.gz
/usr/share/man/man8/tomoyo-diffpolicy.8.gz
/usr/share/man/man8/tomoyo-domainmatch.8.gz
/usr/share/man/man8/tomoyo-editpolicy-agent.8.gz
/usr/share/man/man8/tomoyo-editpolicy.8.gz
/usr/share/man/man8/tomoyo-findtemp.8.gz
/usr/share/man/man8/tomoyo-init.8.gz
/usr/share/man/man8/tomoyo-loadpolicy.8.gz
/usr/share/man/man8/tomoyo-notifyd.8.gz
/usr/share/man/man8/tomoyo-patternize.8.gz
/usr/share/man/man8/tomoyo-pstree.8.gz
/usr/share/man/man8/tomoyo-queryd.8.gz
/usr/share/man/man8/tomoyo-savepolicy.8.gz
/usr/share/man/man8/tomoyo-selectpolicy.8.gz
/usr/share/man/man8/tomoyo-setlevel.8.gz
/usr/share/man/man8/tomoyo-setprofile.8.gz
/usr/share/man/man8/tomoyo-sortpolicy.8.gz

Changelog

2012-05-28 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.5.0-20120414-2) unstable; urgency=low
* debian/control
- remove "Build-Depends: help2man" because it's not necessary.
- change libtomoyotools2 to 3, and add "Conflicts:" to old lib.
* debian/libtomoyotools2.{install,symbols}
- change libtomoyotools2 to 3
* debian/patches
- add use-dpkg-buildflags.patch provided by Simon Ruderich
<simon@ruderich.org>, Thanks! (Closes: #674723)
2012-05-26 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.5.0-20120414-1) unstable; urgency=low
* New upstream release (Closes: #662938)
* debian/control
- set "Standards-Version: 3.9.3"
- set "Build-Depends: debhelper (>= 9)" to use hardening flags
- set "Recommends: tomoyo-tools" for libtomoyotools2
* debian/compat
- set 9
* debian/rules
- add "DEB_BUILD_MAINT_OPTIONS = hardening=+all"
(however, Include.make specifies CFLAGS statically. So now it
doesn't work)
* debian/libtomoyotools2.symbols
- update it
* debian/README.Debian
- describe how to enable tomoyo with grub2
2011-12-16 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.4.0-20111025-3) unstable; urgency=low
* debian/postinst
- tighten check for config directory (Closes: #652247)
2011-12-11 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.4.0-20111025-2) unstable; urgency=low
* Upload to unstable 
2011-12-06 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.4.0-20111025-1) experimental; urgency=low
* New upstream release (Closes: #651267)
* debian/patches
- drop ld--as-needed.patch as merged to upstream
* debian/control,libtomoyotools2.{symbols,install}
- change from libtomoyotools1 to 2
* debian/{preinst,NEWS}
- update it since this version does not have compatibility with previous
version.
2011-09-25 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.3.0-20100820-4) unstable; urgency=low
* debian/control
- once remove Recommends: field, Thanks to Piotr Engelking 
<inkerman42@gmail.com> (Closes: #629494)
2011-09-25 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.3.0-20100820-3) unstable; urgency=low
* debian/postinst,postrm
- make sure to remove meminfo.conf 
2011-09-17 - Hideki Yamane <henrich@debian.org>
tomoyo-tools (2.3.0-20100820-2) unstable; urgency=low
* debian/control
- set Architecture: linux-any 
- set Standards-Version: 3.9.2
- drop "Ritesh Sarraf <rrs@debian.org>" from uploaders, thanks.
* debian/patches
- add ld--as-needed to fix ftbfs with ld --as-needed (Closes: #641403)
* debian/rules
- remove unnecessary override_dh_installchangelogs to fix lintian
warning
2011-02-13 - Ritesh Raj Sarraf <rrs@debian.org>
tomoyo-tools (2.3.0-20100820-1) unstable; urgency=low
* New Upstream Release 
* Add a get-orig-source target 
- Update debian/watch file
- Add target to debian/rules file
* Add debian/preinst to handle upgrade from 2.2.x to 2.3.x 
* Add help2man to build dependency 
* Add new library package libtomoyotools1 
* Bump Standards Version to 3.9.1 (No changes required) 
* Add linux-image-2.6 into Recommends 
* Add debian/NEWS 
2010-05-10 - Ritesh Raj Sarraf <rrs@debian.org>
tomoyo-tools (2.2.0-20100225-1) unstable; urgency=low
[ Hideki Yamane (Debian-JP) ]
* New upstream release (Closes: #536347, #571309)
* debian/rules
- convert to debhelper7 style
* debian/control
- add Ritesh Raj Sarraf <rrs@debian.org> to uploaders, thanks and welcome!
- set "Build-Depends: debhelper (>= 7.0.50~)"
- update my mail address
* switch to dpkg-source format v3.0
* debian/postrm
- fix conffiles directory
* debian/compat
- set 7
[ Ritesh Raj Sarraf ]
* Update official Debian ID for maintenance
* Remove the DM-Upload-Allowed: yes field since we both are DDs now 
* Since upstream does not ship a changelog, use the debian changelog 
* Add README.Debian and provide a brief explanation on how to enable tomoyo

See Also

Package Description
toonloop_2.2.0-1+b1_i386.deb live animation editor
topal_75-1_i386.deb Links Pine and GnuPG together
topgit_0.8-1.1_all.deb a Git patch queue manager
toppler_1.1.5-2_i386.deb clone of the "Nebulus" game on old 8 and 16 bit machines
tor-arm_1.4.5.0-1_all.deb terminal status monitor for tor
tor-geoipdb_0.2.4.27-1_all.deb GeoIP database for Tor
tor_0.2.4.27-1_i386.deb anonymizing overlay network for TCP
tora_2.1.3-2_i386.deb graphical toolkit for database developers and administrators
torchat_0.9.9.550-2_all.deb decentralized instant messenger built on top of the Tor Network
torcs-data-cars_1.3.3+dfsg-0.1_all.deb data files for TORCS game - Cars set
torcs-data-tracks_1.3.3+dfsg-0.1_all.deb data files for TORCS game - Tracks set
torcs-data_1.3.3+dfsg-0.1_all.deb base data files for TORCS game
torcs_1.3.3+dfsg-0.1_i386.deb 3D racing cars simulator game using OpenGL
torque-client-x11_2.4.16+dfsg-1+deb7u4_i386.deb GUI for torque clients
torque-client_2.4.16+dfsg-1+deb7u4_i386.deb command line interface to Torque server
Advertisement
Advertisement